/*
 * Slider.cpp
 *
 *  Created on: 26/mag/2014
 *      Author: studente
 */

#include <iostream>
#include "Slider.h"

Slider::Slider(Timer* t) : subj(t) {
	subj->subscribe( this );
}

Slider::~Slider() {
	subj->unsubscribe( this );
}

void Slider::update() {
	milli = subj->getMilliseconds();
	if ( subj->isRestarted() )
		std::cout << "Reset progress bar - ";
	displaySlider();
}


void Slider::displaySlider() {
	std::cout << "Slider: " << milli << std::endl;
}
