/*
 * videoplayer.cpp
 *
 *  Created on: 26/mag/2014
 *      Author: studente
 */

#include <iostream>

#include "Timer.h"
#include "FrameRenderer.h"
#include "Slider.h"

int main() {
	std::cout << "Observer - Pull" << std::endl;

	Timer clock;

	FrameRenderer display( &clock );
	Slider* progressBar = new Slider( &clock );

	clock.setRestarted(false);
	for( int i=0; i < 10; i++) {
		if ( i == 5 )
			clock.setRestarted(true);
		if ( i == 6 )
			clock.setRestarted(false);
		clock.tick();
	}
	delete progressBar;
	for ( int i=0; i <6; i++)
		clock.tick();


}
